Debian Bug report logs - #692600
unblock: xserver-xorg-video-geode/2.11.14-1

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Martin-Éric Racine <martin-eric.racine@iki.fi>

Date: Wed, 7 Nov 2012 15:03:02 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, samuelwolf85@googlemail.com, Martin-Éric Racine <martin-eric.racine@iki.fi>:
Bug#692569; Package xserver-xorg-video-geode. (Wed, 07 Nov 2012 15:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to guenter <guenter@zamia.org>:
New Bug report received and forwarded. Copy sent to samuelwolf85@googlemail.com, Martin-Éric Racine <martin-eric.racine@iki.fi>. (Wed, 07 Nov 2012 15:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: guenter <guenter@zamia.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-video-geode: some GTK widgets would randomly display unreadable "smeared" text labels
Date: Wed, 07 Nov 2012 16:00:21 +0100
Package: xserver-xorg-video-geode
Version: 2.11.13-3
Severity: important

Dear Maintainer,

when running

xserver-xorg-video-geode 2.11.13-3

some GTK widgets (e.g. xfce's main menu, but also Iceweasel's 
address bar) would randomly display unreadable "smeared" text labels. 

Looked like a transient problem as triggering a redraw would fix the issue temporarily.

Anyway, upgrading to

xserver-xorg-video-geode_2.11.13-7

from unstable/sid fixed the problem permanently for me. Please consider using this revision in Debian 7 ?


-- Package-specific info:
X server symlink status:
------------------------
lrwxrwxrwx 1 root root 13 Nov  5 17:46 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 2027892 Sep 30 14:42 /usr/bin/Xorg

VGA-compatible devices on PCI bus:
----------------------------------
00:01.1 VGA compatible controller [0300]: Advanced Micro Devices [AMD] Geode LX Video [1022:2081]

Xorg X server configuration file status:
----------------------------------------
-rw-r--r-- 1 root root 4979 Nov  6 15:03 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
-------------------------------
Section "ServerLayout"
	Identifier     "X.org Configured"
	Screen      0  "Screen0" 0 0
	Screen      1  "Screen1" RightOf "Screen0"
	Screen      2  "Screen2" RightOf "Screen1"
	InputDevice    "Mouse0" "CorePointer"
	InputDevice    "Keyboard0" "CoreKeyboard"
	InputDevice    "Penmount" "AlwaysCore"
EndSection

Section "Files"
	ModulePath   "/usr/lib/xorg/modules"
	FontPath     "/usr/share/fonts/X11/misc"
	FontPath     "/usr/share/fonts/X11/cyrillic"
	FontPath     "/usr/share/fonts/X11/100dpi/:unscaled"
	FontPath     "/usr/share/fonts/X11/75dpi/:unscaled"
	FontPath     "/usr/share/fonts/X11/Type1"
	FontPath     "/usr/share/fonts/X11/100dpi"
	FontPath     "/usr/share/fonts/X11/75dpi"
	FontPath     "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
	FontPath     "built-ins"
EndSection

Section "Module"
	Load  "dbe"
	Load  "glx"
	Load  "dri"
	Load  "dri2"
	Load  "extmod"
	Load  "record"
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "kbd"
EndSection

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option	    "Protocol" "auto"
	Option	    "Device" "/dev/input/mice"
	Option	    "ZAxisMapping" "4 5 6 7"
EndSection

Section "InputDevice"
   Identifier  "PenMount"
   Driver      "penmount"
   Option      "Device"             "/dev/ttyS3"
   Option      "ControllerModel"    "DMC9000"
   Option      "ReportingMode"      "raw"
   Option      "MinX"               "112"
   Option      "MaxX"               "892"
   Option      "MinY"               "120" 
   Option      "MaxY"               "888"
   Option      "InvertY"            "1" 
   Option      "InvertX"            "1" 
   #Option      "ScreenNumber"       "0"
   #Option      "ButtonNumber"       "1"
   #Option      "SwapXY"             "0" 
EndSection

Section "Monitor"
	Identifier   "Monitor0"
	VendorName   "Monitor Vendor"
	ModelName    "Monitor Model"
EndSection

Section "Monitor"
	Identifier   "Monitor1"
	VendorName   "Monitor Vendor"
	ModelName    "Monitor Model"
EndSection

Section "Monitor"
	Identifier   "Monitor2"
	VendorName   "Monitor Vendor"
	ModelName    "Monitor Model"
EndSection

Section "Device"
        ### Available Driver options are:-
        ### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
        ### <string>: "String", <freq>: "<f> Hz/kHz/MHz",
        ### <percent>: "<f>%"
        ### [arg]: arg optional
	Identifier  "Card0"
	Driver      "geode"
	BusID       "PCI:0:1:1"
EndSection

Section "Device"
        ### Available Driver options are:-
        ### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
        ### <string>: "String", <freq>: "<f> Hz/kHz/MHz",
        ### <percent>: "<f>%"
        ### [arg]: arg optional
        #Option     "ShadowFB"           	# [<bool>]
        #Option     "Rotate"             	# <str>
        #Option     "fbdev"              	# <str>
        #Option     "debug"              	# [<bool>]
	Identifier  "Card1"
	Driver      "fbdev"
	BusID       "PCI:0:1:1"
EndSection

Section "Device"
        ### Available Driver options are:-
        ### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
        ### <string>: "String", <freq>: "<f> Hz/kHz/MHz",
        ### <percent>: "<f>%"
        ### [arg]: arg optional
        #Option     "ShadowFB"           	# [<bool>]
        #Option     "DefaultRefresh"     	# [<bool>]
        #Option     "ModeSetClearScreen" 	# [<bool>]
	Identifier  "Card2"
	Driver      "vesa"
	BusID       "PCI:0:1:1"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Card0"
	Monitor    "Monitor0"
	SubSection "Display"
		Viewport   0 0
		Depth     1
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     4
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     8
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     15
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     16
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     24
	EndSubSection
EndSection

Section "Screen"
	Identifier "Screen1"
	Device     "Card1"
	Monitor    "Monitor1"
	SubSection "Display"
		Viewport   0 0
		Depth     1
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     4
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     8
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     15
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     16
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     24
	EndSubSection
EndSection

Section "Screen"
	Identifier "Screen2"
	Device     "Card2"
	Monitor    "Monitor2"
	SubSection "Display"
		Viewport   0 0
		Depth     1
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     4
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     8
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     15
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     16
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     24
	EndSubSection
EndSection


/etc/X11/xorg.conf.d does not exist.

KMS configuration files:
------------------------
/etc/modprobe.d/radeon-kms.conf:
  options radeon modeset=1

Kernel version (/proc/version):
-------------------------------
Linux version 3.2.0-3-486 (Debian 3.2.23-1) (debian-kernel@lists.debian.org) (gcc version 4.6.3 (Debian 4.6.3-8) ) #1 Mon Jul 23 02:47:49 UTC 2012

Xorg X server log files on system:
----------------------------------
-rw-r--r-- 1 root root 24457 Nov  6 15:14 /var/log/Xorg.21.log
-rw-r--r-- 1 root root 23815 Nov  7 14:22 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file (/var/log/Xorg.0.log):
---------------------------------------------------------------------
[    24.169] 
X.Org X Server 1.12.4
Release Date: 2012-08-27
[    24.169] X Protocol Version 11, Revision 0
[    24.169] Build Operating System: Linux 2.6.32-5-amd64 i686 Debian
[    24.169] Current Operating System: Linux telkamp 3.2.0-3-486 #1 Mon Jul 23 02:47:49 UTC 2012 i586
[    24.169] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.2.0-3-486 root=UUID=4da9051c-9959-4c43-ab00-f1b1b6005347 ro video=lxfb:1024x768-32@60 quiet
[    24.169] Build Date: 30 September 2012  12:36:23PM
[    24.169] xorg-server 2:1.12.4-1 (Julien Cristau <jcristau@debian.org>) 
[    24.169] Current version of pixman: 0.26.0
[    24.170] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[    24.170] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    24.170] (==) Log file: "/var/log/Xorg.0.log", Time: Wed Nov  7 14:22:21 2012
[    24.189] (==) Using config file: "/etc/X11/xorg.conf"
[    24.189] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    24.197] (==) ServerLayout "X.org Configured"
[    24.197] (**) |-->Screen "Screen0" (0)
[    24.197] (**) |   |-->Monitor "Monitor0"
[    24.210] (**) |   |-->Device "Card0"
[    24.210] (**) |-->Screen "Screen1" (1)
[    24.210] (**) |   |-->Monitor "Monitor1"
[    24.213] (**) |   |-->Device "Card1"
[    24.213] (**) |-->Screen "Screen2" (2)
[    24.213] (**) |   |-->Monitor "Monitor2"
[    24.215] (**) |   |-->Device "Card2"
[    24.215] (**) |-->Input Device "Mouse0"
[    24.215] (**) |-->Input Device "Keyboard0"
[    24.215] (**) |-->Input Device "PenMount"
[    24.219] (==) Automatically adding devices
[    24.219] (==) Automatically enabling devices
[    24.246] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[    24.246] 	Entry deleted from font path.
[    24.263] (WW) The directory "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType" does not exist.
[    24.263] 	Entry deleted from font path.
[    24.263] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[    24.263] 	Entry deleted from font path.
[    24.263] (WW) The directory "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType" does not exist.
[    24.263] 	Entry deleted from font path.
[    24.263] (**) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	built-ins,
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	built-ins
[    24.263] (**) ModulePath set to "/usr/lib/xorg/modules"
[    24.263] (WW) Hotplugging is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
[    24.263] (WW) Disabling Mouse0
[    24.264] (WW) Disabling Keyboard0
[    24.264] (II) Loader magic: 0xb77785a0
[    24.264] (II) Module ABI versions:
[    24.264] 	X.Org ANSI C Emulation: 0.4
[    24.264] 	X.Org Video Driver: 12.1
[    24.264] 	X.Org XInput driver : 16.0
[    24.264] 	X.Org Server Extension : 6.0
[    24.271] (--) PCI:*(0:0:1:1) 1022:2081:1022:2081 rev 0, Mem @ 0xe8000000/67108864, 0xefff4000/16384, 0xefff0000/16384, 0xeffec000/16384, 0xeffe8000/16384
[    24.273] (II) Open ACPI successful (/var/run/acpid.socket)
[    24.273] (II) "extmod" will be loaded. This was enabled by default and also specified in the config file.
[    24.274] (II) "dbe" will be loaded. This was enabled by default and also specified in the config file.
[    24.274] (II) "glx" will be loaded. This was enabled by default and also specified in the config file.
[    24.274] (II) "record" will be loaded. This was enabled by default and also specified in the config file.
[    24.274] (II) "dri" will be loaded. This was enabled by default and also specified in the config file.
[    24.274] (II) "dri2" will be loaded. This was enabled by default and also specified in the config file.
[    24.274] (II) LoadModule: "dbe"
[    24.307] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[    24.312] (II) Module dbe: vendor="X.Org Foundation"
[    24.312] 	compiled for 1.12.4, module version = 1.0.0
[    24.312] 	Module class: X.Org Server Extension
[    24.312] 	ABI class: X.Org Server Extension, version 6.0
[    24.312] (II) Loading extension DOUBLE-BUFFER
[    24.312] (II) LoadModule: "glx"
[    24.314] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[    24.359] (II) Module glx: vendor="X.Org Foundation"
[    24.359] 	compiled for 1.12.4, module version = 1.0.0
[    24.359] 	ABI class: X.Org Server Extension, version 6.0
[    24.359] (==) AIGLX enabled
[    24.360] (II) Loading extension GLX
[    24.360] (II) LoadModule: "dri"
[    24.362] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[    24.377] (II) Module dri: vendor="X.Org Foundation"
[    24.377] 	compiled for 1.12.4, module version = 1.0.0
[    24.377] 	ABI class: X.Org Server Extension, version 6.0
[    24.377] (II) Loading extension XFree86-DRI
[    24.377] (II) LoadModule: "dri2"
[    24.379] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[    24.385] (II) Module dri2: vendor="X.Org Foundation"
[    24.385] 	compiled for 1.12.4, module version = 1.2.0
[    24.385] 	ABI class: X.Org Server Extension, version 6.0
[    24.385] (II) Loading extension DRI2
[    24.385] (II) LoadModule: "extmod"
[    24.387] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[    24.404] (II) Module extmod: vendor="X.Org Foundation"
[    24.404] 	compiled for 1.12.4, module version = 1.0.0
[    24.404] 	Module class: X.Org Server Extension
[    24.404] 	ABI class: X.Org Server Extension, version 6.0
[    24.404] (II) Loading extension SELinux
[    24.404] (II) Loading extension MIT-SCREEN-SAVER
[    24.404] (II) Loading extension XFree86-VidModeExtension
[    24.404] (II) Loading extension XFree86-DGA
[    24.404] (II) Loading extension DPMS
[    24.404] (II) Loading extension XVideo
[    24.405] (II) Loading extension XVideo-MotionCompensation
[    24.405] (II) Loading extension X-Resource
[    24.405] (II) LoadModule: "record"
[    24.407] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[    24.418] (II) Module record: vendor="X.Org Foundation"
[    24.418] 	compiled for 1.12.4, module version = 1.13.0
[    24.418] 	Module class: X.Org Server Extension
[    24.418] 	ABI class: X.Org Server Extension, version 6.0
[    24.418] (II) Loading extension RECORD
[    24.418] (II) LoadModule: "geode"
[    24.420] (II) Loading /usr/lib/xorg/modules/drivers/geode_drv.so
[    24.431] (II) Module geode: vendor="X.Org Foundation"
[    24.431] 	compiled for 1.12.4, module version = 2.11.13
[    24.431] 	Module class: X.Org Video Driver
[    24.431] 	ABI class: X.Org Video Driver, version 12.1
[    24.443] (II) LoadModule: "fbdev"
[    24.444] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[    24.448] (II) Module fbdev: vendor="X.Org Foundation"
[    24.448] 	compiled for 1.12.1, module version = 0.4.2
[    24.448] 	ABI class: X.Org Video Driver, version 12.0
[    24.449] (II) LoadModule: "vesa"
[    24.449] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[    24.453] (II) Module vesa: vendor="X.Org Foundation"
[    24.453] 	compiled for 1.12.1, module version = 2.3.1
[    24.453] 	Module class: X.Org Video Driver
[    24.453] 	ABI class: X.Org Video Driver, version 12.0
[    24.453] (II) LoadModule: "penmount"
[    24.464] (II) Loading /usr/lib/xorg/modules/input/penmount_drv.so
[    24.467] (II) Module penmount: vendor="X.Org Foundation"
[    24.467] 	compiled for 1.12.4, module version = 1.5.0
[    24.467] 	Module class: X.Org XInput Driver
[    24.467] 	ABI class: X.Org XInput driver, version 16.0
[    24.467] (II) GEODE: Driver for AMD Geode Chipsets: Geode LX, Geode GX
[    24.483] (II) FBDEV: driver for framebuffer: fbdev
[    24.483] (II) VESA: driver for VESA chipsets: vesa
[    24.483] (++) using VT number 7

[    24.485] AmdPciProbe: Probing for supported devices!
[    24.490] (WW) Falling back to old probe method for fbdev
[    24.490] (II) Loading sub module "fbdevhw"
[    24.490] (II) LoadModule: "fbdevhw"
[    24.493] (II) Loading /usr/lib/xorg/modules/libfbdevhw.so
[    24.497] (II) Module fbdevhw: vendor="X.Org Foundation"
[    24.497] 	compiled for 1.12.4, module version = 0.0.2
[    24.497] 	ABI class: X.Org Video Driver, version 12.1
[    24.497] (WW) Falling back to old probe method for vesa
[    24.498] (WW) System lacks support for changing MTRRs
[    24.498] (II) Loading sub module "vgahw"
[    24.498] (II) LoadModule: "vgahw"
[    24.507] (II) Loading /usr/lib/xorg/modules/libvgahw.so
[    24.511] (II) Module vgahw: vendor="X.Org Foundation"
[    24.511] 	compiled for 1.12.4, module version = 0.1.0
[    24.511] 	ABI class: X.Org Video Driver, version 12.1
[    24.512] Unable to open /dev/cpu/0/msr: 2
[    24.513] (==) GEODE(0): Depth 16, (==) framebuffer bpp 16
[    24.513] (==) GEODE(0): RGB weight 565
[    24.513] (==) GEODE(0): Default visual is TrueColor
[    24.513] (==) GEODE(0): Using gamma correction (1.0, 1.0, 1.0)
[    24.513] (==) GEODE(0): No DCON is present
[    24.514] (II) GEODE(0):  VSA Panel Mode is: 1024x768, pixel clock freq(kHz) is 65000
[    24.514] (II) GEODE(0): LX output options:
[    24.514] (II) GEODE(0):  CRT: YES
[    24.514] (II) GEODE(0):  PANEL: YES
[    24.514] (II) GEODE(0):  DCON: NO
[    24.514] (II) GEODE(0):  VGA: YES
[    24.514] (II) Loading sub module "int10"
[    24.514] (II) LoadModule: "int10"
[    24.514] (II) Loading /usr/lib/xorg/modules/libint10.so
[    24.526] (II) Module int10: vendor="X.Org Foundation"
[    24.527] 	compiled for 1.12.4, module version = 1.0.0
[    24.527] 	ABI class: X.Org Video Driver, version 12.1
[    24.538] (II) GEODE(0): Primary V_BIOS segment is: 0xc000
[    24.539] (II) GEODE(0): Output default using monitor section Monitor0
[    24.551] (II) GEODE(0): I2C bus "CS5536 DDC" initialized.
[    24.551] (II) GEODE(0): Printing probed modes for output default
[    24.551] (II) GEODE(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
[    24.551] (II) GEODE(0): Output default connected
[    24.551] (II) GEODE(0): Using exact sizes for initial modes
[    24.551] (II) GEODE(0): Output default using initial mode 1024x768
[    24.551] (II) GEODE(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
[    24.551] (--) GEODE(0): Virtual size is 1024x1024 (pitch 0)
[    24.552] (**) GEODE(0):  Driver mode "1024x768": 65.0 MHz (scaled from 0.0 MHz), 48.4 kHz, 60.0 Hz
[    24.552] (II) GEODE(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
[    24.552] (==) GEODE(0): DPI set to (96, 96)
[    24.552] (II) Loading sub module "fb"
[    24.552] (II) LoadModule: "fb"
[    24.554] (II) Loading /usr/lib/xorg/modules/libfb.so
[    24.573] (II) Module fb: vendor="X.Org Foundation"
[    24.573] 	compiled for 1.12.4, module version = 1.0.0
[    24.574] 	ABI class: X.Org ANSI C Emulation, version 0.4
[    24.574] (II) Loading sub module "exa"
[    24.574] (II) LoadModule: "exa"
[    24.576] (II) Loading /usr/lib/xorg/modules/libexa.so
[    24.586] (II) Module exa: vendor="X.Org Foundation"
[    24.586] 	compiled for 1.12.4, module version = 2.5.0
[    24.586] 	ABI class: X.Org Video Driver, version 12.1
[    24.586] (II) UnloadModule: "fbdev"
[    24.586] (II) Unloading fbdev
[    24.586] (II) UnloadSubModule: "fbdevhw"
[    24.586] (II) Unloading fbdevhw
[    24.586] (II) UnloadModule: "vesa"
[    24.586] (II) Unloading vesa
[    24.587] (II) GEODE(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0
[    24.650] (II) GEODE(0): Geode LX video memory 1e00000 bytes at 0xb4e09000
[    24.650] (II) GEODE(0): LX video memory:
[    24.650] (II) GEODE(0):  Display: 0x200000 bytes
[    24.650] (II) GEODE(0):  Compression: 0x88000 bytes
[    24.650] (II) GEODE(0):  Cursor: 0x3000 bytes
[    24.650] (II) GEODE(0):  ExaBfrSz: 0x40000 bytes
[    24.650] (II) GEODE(0):  EXA: 0x1a35000 bytes
[    24.650] (II) GEODE(0):  FREE: 0x0 bytes
[    24.925] (II) EXA(0): Offscreen pixmap area of 27480064 bytes
[    24.925] (II) EXA(0): Driver registered support for the following operations:
[    24.925] (II)         Solid
[    24.925] (II)         Copy
[    24.925] (II)         Composite (RENDER acceleration)
[    24.925] (==) GEODE(0): Backing store disabled
[    24.933] (==) GEODE(0): DPMS enabled
[    24.933] (II) GEODE(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[    24.934] (--) RandR disabled
[    24.934] (II) Initializing built-in extension Generic Event Extension
[    24.934] (II) Initializing built-in extension SHAPE
[    24.934] (II) Initializing built-in extension MIT-SHM
[    24.934] (II) Initializing built-in extension XInputExtension
[    24.934] (II) Initializing built-in extension XTEST
[    24.934] (II) Initializing built-in extension BIG-REQUESTS
[    24.934] (II) Initializing built-in extension SYNC
[    24.934] (II) Initializing built-in extension XKEYBOARD
[    24.934] (II) Initializing built-in extension XC-MISC
[    24.934] (II) Initializing built-in extension SECURITY
[    24.934] (II) Initializing built-in extension XINERAMA
[    24.934] (II) Initializing built-in extension XFIXES
[    24.935] (II) Initializing built-in extension RENDER
[    24.935] (II) Initializing built-in extension RANDR
[    24.935] (II) Initializing built-in extension COMPOSITE
[    24.935] (II) Initializing built-in extension DAMAGE
[    24.947] (II) SELinux: Disabled on system
[    25.098] (II) AIGLX: Screen 0 is not DRI2 capable
[    25.098] (II) AIGLX: Screen 0 is not DRI capable
[    25.739] (II) AIGLX: Loaded and initialized swrast
[    25.739] (II) GLX: Initialized DRISWRAST GL provider for screen 0
[    25.743] (II) GEODE(0): Setting screen physical size to 270 x 203
[    27.966] (II) Using input driver 'penmount' for 'PenMount'
[    27.967] (**) Option "AlwaysCore"
[    27.972] (**) PenMount: always reports core events
[    27.972] (II) PenMount: ********************************************************* Hello!
[    27.972] (**) Option "Device" "/dev/ttyS3"
[    27.973] (**) Option "BaudRate" "19200"
[    27.973] (**) Option "StopBits" "1"
[    27.973] (**) Option "DataBits" "8"
[    27.973] (**) Option "Parity" "None"
[    27.973] (**) Option "Vmin" "3"
[    27.973] (**) Option "Vtime" "1"
[    27.973] (**) Option "FlowControl" "None"
[    27.974] (**) Option "MinX" "112"
[    27.974] (**) Option "MaxX" "892"
[    27.974] (**) Option "MinY" "120"
[    27.974] (**) Option "MaxY" "888"
[    27.974] (**) Option "InvertY" "1"
[    27.974] (**) Option "InvertX" "1"
[    27.974] (II) PenMount: ReportingMode: raw
[    27.974] (II) PenMount: ControllerModel: DMC9000
[    27.974] (II) PenMount: DMC9000 detected!
[    27.975] (II) XINPUT: Adding extended input device "PenMount" (type: TOUCHSCREEN, id 6)
[    27.975] (WW) PenMount: DeviceInit.
[    27.975] (**) PenMount: (accel) keeping acceleration scheme 1
[    27.975] (**) PenMount: (accel) acceleration profile 0
[    27.975] (**) PenMount: (accel) acceleration factor: 2.000
[    27.975] (**) PenMount: (accel) acceleration threshold: 4
[    28.699] (II) config/udev: Adding input device Power Button (/dev/input/event2)
[    28.699] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[    28.699] (II) LoadModule: "evdev"
[    28.708] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    28.741] (II) Module evdev: vendor="X.Org Foundation"
[    28.741] 	compiled for 1.12.1, module version = 2.7.0
[    28.741] 	Module class: X.Org XInput Driver
[    28.741] 	ABI class: X.Org XInput driver, version 16.0
[    28.741] (II) Using input driver 'evdev' for 'Power Button'
[    28.741] (**) Power Button: always reports core events
[    28.742] (**) evdev: Power Button: Device: "/dev/input/event2"
[    28.742] (--) evdev: Power Button: Vendor 0 Product 0x1
[    28.742] (--) evdev: Power Button: Found keys
[    28.742] (II) evdev: Power Button: Configuring as keyboard
[    28.742] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input2/event2"
[    28.742] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 7)
[    28.742] (**) Option "xkb_rules" "evdev"
[    28.742] (**) Option "xkb_model" "pc105"
[    28.743] (**) Option "xkb_layout" "us"
[    28.747] (II) config/udev: Adding input device Power Button (/dev/input/event0)
[    28.747] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[    28.747] (II) Using input driver 'evdev' for 'Power Button'
[    28.747] (**) Power Button: always reports core events
[    28.747] (**) evdev: Power Button: Device: "/dev/input/event0"
[    28.748] (--) evdev: Power Button: Vendor 0 Product 0x1
[    28.748] (--) evdev: Power Button: Found keys
[    28.748] (II) evdev: Power Button: Configuring as keyboard
[    28.748] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input0/event0"
[    28.748] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 8)
[    28.748] (**) Option "xkb_rules" "evdev"
[    28.748] (**) Option "xkb_model" "pc105"
[    28.749] (**) Option "xkb_layout" "us"
[    28.757] (II) config/udev: Adding input device Sleep Button (/dev/input/event1)
[    28.757] (**) Sleep Button: Applying InputClass "evdev keyboard catchall"
[    28.758] (II) Using input driver 'evdev' for 'Sleep Button'
[    28.758] (**) Sleep Button: always reports core events
[    28.758] (**) evdev: Sleep Button: Device: "/dev/input/event1"
[    28.758] (--) evdev: Sleep Button: Vendor 0 Product 0x3
[    28.758] (--) evdev: Sleep Button: Found keys
[    28.758] (II) evdev: Sleep Button: Configuring as keyboard
[    28.758] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input1/event1"
[    28.758] (II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD, id 9)
[    28.758] (**) Option "xkb_rules" "evdev"
[    28.759] (**) Option "xkb_model" "pc105"
[    28.759] (**) Option "xkb_layout" "us"
[    28.767] (II) config/udev: Adding input device HID 046a:0023 (/dev/input/event5)
[    28.775] (**) HID 046a:0023: Applying InputClass "evdev keyboard catchall"
[    28.775] (II) Using input driver 'evdev' for 'HID 046a:0023'
[    28.775] (**) HID 046a:0023: always reports core events
[    28.776] (**) evdev: HID 046a:0023: Device: "/dev/input/event5"
[    28.776] (--) evdev: HID 046a:0023: Vendor 0x46a Product 0x23
[    28.776] (--) evdev: HID 046a:0023: Found keys
[    28.776] (II) evdev: HID 046a:0023: Configuring as keyboard
[    28.776] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:0f.4/usb2/2-1/2-1:1.0/input/input5/event5"
[    28.776] (II) XINPUT: Adding extended input device "HID 046a:0023" (type: KEYBOARD, id 10)
[    28.776] (**) Option "xkb_rules" "evdev"
[    28.776] (**) Option "xkb_model" "pc105"
[    28.776] (**) Option "xkb_layout" "us"
[    28.786] (II) config/udev: Adding input device HID 046a:0023 (/dev/input/event6)
[    28.786] (**) HID 046a:0023: Applying InputClass "evdev keyboard catchall"
[    28.786] (II) Using input driver 'evdev' for 'HID 046a:0023'
[    28.786] (**) HID 046a:0023: always reports core events
[    28.786] (**) evdev: HID 046a:0023: Device: "/dev/input/event6"
[    28.787] (--) evdev: HID 046a:0023: Vendor 0x46a Product 0x23
[    28.787] (--) evdev: HID 046a:0023: Found 1 mouse buttons
[    28.787] (--) evdev: HID 046a:0023: Found scroll wheel(s)
[    28.787] (--) evdev: HID 046a:0023: Found relative axes
[    28.787] (II) evdev: HID 046a:0023: Forcing relative x/y axes to exist.
[    28.787] (--) evdev: HID 046a:0023: Found absolute axes
[    28.787] (II) evdev: HID 046a:0023: Forcing absolute x/y axes to exist.
[    28.787] (--) evdev: HID 046a:0023: Found keys
[    28.787] (II) evdev: HID 046a:0023: Configuring as mouse
[    28.787] (II) evdev: HID 046a:0023: Configuring as keyboard
[    28.787] (II) evdev: HID 046a:0023: Adding scrollwheel support
[    28.787] (**) evdev: HID 046a:0023: YAxisMapping: buttons 4 and 5
[    28.787] (**) evdev: HID 046a:0023: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[    28.788] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:0f.4/usb2/2-1/2-1:1.1/input/input6/event6"
[    28.788] (II) XINPUT: Adding extended input device "HID 046a:0023" (type: KEYBOARD, id 11)
[    28.788] (**) Option "xkb_rules" "evdev"
[    28.788] (**) Option "xkb_model" "pc105"
[    28.788] (**) Option "xkb_layout" "us"
[    28.790] (II) evdev: HID 046a:0023: initialized for relative axes.
[    28.790] (WW) evdev: HID 046a:0023: ignoring absolute axes.
[    28.792] (**) HID 046a:0023: (accel) keeping acceleration scheme 1
[    28.792] (**) HID 046a:0023: (accel) acceleration profile 0
[    28.792] (**) HID 046a:0023: (accel) acceleration factor: 2.000
[    28.792] (**) HID 046a:0023: (accel) acceleration threshold: 4
[    28.795] (II) config/udev: Adding input device Logitech USB-PS/2 Optical Mouse (/dev/input/event4)
[    28.795] (**) Logitech USB-PS/2 Optical Mouse: Applying InputClass "evdev pointer catchall"
[    28.795] (II) Using input driver 'evdev' for 'Logitech USB-PS/2 Optical Mouse'
[    28.795] (**) Logitech USB-PS/2 Optical Mouse: always reports core events
[    28.796] (**) evdev: Logitech USB-PS/2 Optical Mouse: Device: "/dev/input/event4"
[    28.796] (--) evdev: Logitech USB-PS/2 Optical Mouse: Vendor 0x46d Product 0xc03d
[    28.797] (--) evdev: Logitech USB-PS/2 Optical Mouse: Found 3 mouse buttons
[    28.797] (--) evdev: Logitech USB-PS/2 Optical Mouse: Found scroll wheel(s)
[    28.797] (--) evdev: Logitech USB-PS/2 Optical Mouse: Found relative axes
[    28.797] (--) evdev: Logitech USB-PS/2 Optical Mouse: Found x and y relative axes
[    28.797] (II) evdev: Logitech USB-PS/2 Optical Mouse: Configuring as mouse
[    28.797] (II) evdev: Logitech USB-PS/2 Optical Mouse: Adding scrollwheel support
[    28.797] (**) evdev: Logitech USB-PS/2 Optical Mouse: YAxisMapping: buttons 4 and 5
[    28.798] (**) evdev: Logitech USB-PS/2 Optical Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[    28.798] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:0f.4/usb2/2-2/2-2:1.0/input/input4/event4"
[    28.798] (II) XINPUT: Adding extended input device "Logitech USB-PS/2 Optical Mouse" (type: MOUSE, id 12)
[    28.798] (II) evdev: Logitech USB-PS/2 Optical Mouse: initialized for relative axes.
[    28.799] (**) Logitech USB-PS/2 Optical Mouse: (accel) keeping acceleration scheme 1
[    28.800] (**) Logitech USB-PS/2 Optical Mouse: (accel) acceleration profile 0
[    28.800] (**) Logitech USB-PS/2 Optical Mouse: (accel) acceleration factor: 2.000
[    28.800] (**) Logitech USB-PS/2 Optical Mouse: (accel) acceleration threshold: 4
[    28.802] (II) config/udev: Adding input device Logitech USB-PS/2 Optical Mouse (/dev/input/mouse0)
[    28.802] (II) No input driver specified, ignoring this device.
[    28.802] (II) This device may have been added with another device file.
[    28.809] (II) config/udev: Adding input device PC Speaker (/dev/input/event3)
[    28.809] (II) No input driver specified, ignoring this device.
[    28.809] (II) This device may have been added with another device file.
[    28.816] (II) config/udev: Adding input device (unnamed) (/dev/ttyS3)
[    28.816] (II) No input driver specified, ignoring this device.
[    28.816] (II) This device may have been added with another device file.

udev information:
-----------------
P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
E: EV=3
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-LNXPWRBN:00
E: ID_PATH_TAG=acpi-LNXPWRBN_00
E: KEY=100000 0 0 0
E: MODALIAS=input:b0019v0000p0001e0000-e0,1,k74,ramlsfw
E: NAME="Power Button"
E: PHYS="LNXPWRBN/button/input0"
E: PRODUCT=19/0/1/0
E: PROP=0
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=7758574

P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input2/event2
N: input/event2
E: BACKSPACE=guess
E: DEVNAME=/dev/input/event2
E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input2/event2
E: DMI_VENDOR=ICP / iEi
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-LNXPWRBN:00
E: ID_PATH_TAG=acpi-LNXPWRBN_00
E: MAJOR=13
E: MINOR=66
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=8002672
E: XKBLAYOUT=us
E: XKBMODEL=pc105

P: /devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input0
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input0
E: EV=3
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-PNP0C0C:00
E: ID_PATH_TAG=acpi-PNP0C0C_00
E: KEY=100000 0 0 0
E: MODALIAS=input:b0019v0000p0001e0000-e0,1,k74,ramlsfw
E: NAME="Power Button"
E: PHYS="PNP0C0C/button/input0"
E: PRODUCT=19/0/1/0
E: PROP=0
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=7729856

P: /devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input0/event0
N: input/event0
E: BACKSPACE=guess
E: DEVNAME=/dev/input/event0
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input0/event0
E: DMI_VENDOR=ICP / iEi
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-PNP0C0C:00
E: ID_PATH_TAG=acpi-PNP0C0C_00
E: MAJOR=13
E: MINOR=64
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=8004515
E: XKBLAYOUT=us
E: XKBMODEL=pc105

P: /devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input1
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input1
E: EV=3
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-PNP0C0E:00
E: ID_PATH_TAG=acpi-PNP0C0E_00
E: KEY=4000 0 0 0 0
E: MODALIAS=input:b0019v0000p0003e0000-e0,1,k8E,ramlsfw
E: NAME="Sleep Button"
E: PHYS="PNP0C0E/button/input0"
E: PRODUCT=19/0/3/0
E: PROP=0
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=7747185

P: /devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input1/event1
N: input/event1
E: BACKSPACE=guess
E: DEVNAME=/dev/input/event1
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input1/event1
E: DMI_VENDOR=ICP / iEi
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-PNP0C0E:00
E: ID_PATH_TAG=acpi-PNP0C0E_00
E: MAJOR=13
E: MINOR=65
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=7990646
E: XKBLAYOUT=us
E: XKBMODEL=pc105

P: /devices/pci0000:00/0000:00:0f.4/usb2/2-1/2-1:1.0/input/input5
E: DEVPATH=/devices/pci0000:00/0000:00:0f.4/usb2/2-1/2-1:1.0/input/input5
E: EV=120013
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_MODEL=0023
E: ID_MODEL_ENC=0023
E: ID_MODEL_ID=0023
E: ID_PATH=pci-0000:00:0f.4-usb-0:1:1.0
E: ID_PATH_TAG=pci-0000_00_0f_4-usb-0_1_1_0
E: ID_REVISION=0220
E: ID_SERIAL=046a_0023
E: ID_TYPE=hid
E: ID_USB_DRIVER=usbhid
E: ID_USB_INTERFACES=:030101:030000:
E: ID_USB_INTERFACE_NUM=00
E: ID_VENDOR=046a
E: ID_VENDOR_ENC=046a
E: ID_VENDOR_ID=046a
E: KEY=10000 7 ff9f207a c14057ff febeffdf ffefffff ffffffff fffffffe
E: LED=7
E: MODALIAS=input:b0003v046Ap0023e0111-e0,1,4,11,14,k71,72,73,74,75,77,79,7A,7B,7C,7D,7E,7F,80,81,82,83,84,85,86,87,88,89,8A,8C,8E,96,98,9E,9F,A1,A3,A4,A5,A6,AD,B0,B1,B2,B3,B4,B7,B8,B9,BA,BB,BC,BD,BE,BF,C0,C1,C2,F0,ram4,l0,1,2,sfw
E: MSC=10
E: NAME="HID 046a:0023"
E: PHYS="usb-0000:00:0f.4-1/input0"
E: PRODUCT=3/46a/23/111
E: PROP=0
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: UNIQ=""
E: USEC_INITIALIZED=8040976

P: /devices/pci0000:00/0000:00:0f.4/usb2/2-1/2-1:1.0/input/input5/event5
N: input/event5
S: input/by-id/usb-046a_0023-event-kbd
S: input/by-path/pci-0000:00:0f.4-usb-0:1:1.0-event-kbd
E: BACKSPACE=guess
E: DEVLINKS=/dev/input/by-id/usb-046a_0023-event-kbd /dev/input/by-path/pci-0000:00:0f.4-usb-0:1:1.0-event-kbd
E: DEVNAME=/dev/input/event5
E: DEVPATH=/devices/pci0000:00/0000:00:0f.4/usb2/2-1/2-1:1.0/input/input5/event5
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_MODEL=0023
E: ID_MODEL_ENC=0023
E: ID_MODEL_ID=0023
E: ID_PATH=pci-0000:00:0f.4-usb-0:1:1.0
E: ID_PATH_TAG=pci-0000_00_0f_4-usb-0_1_1_0
E: ID_REVISION=0220
E: ID_SERIAL=046a_0023
E: ID_TYPE=hid
E: ID_USB_DRIVER=usbhid
E: ID_USB_INTERFACES=:030101:030000:
E: ID_USB_INTERFACE_NUM=00
E: ID_VENDOR=046a
E: ID_VENDOR_ENC=046a
E: ID_VENDOR_ID=046a
E: MAJOR=13
E: MINOR=69
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=8102418
E: XKBLAYOUT=us
E: XKBMODEL=pc105

P: /devices/pci0000:00/0000:00:0f.4/usb2/2-1/2-1:1.1/input/input6
E: ABS=1 0
E: DEVPATH=/devices/pci0000:00/0000:00:0f.4/usb2/2-1/2-1:1.1/input/input6
E: EV=1f
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_MODEL=0023
E: ID_MODEL_ENC=0023
E: ID_MODEL_ID=0023
E: ID_PATH=pci-0000:00:0f.4-usb-0:1:1.1
E: ID_PATH_TAG=pci-0000_00_0f_4-usb-0_1_1_1
E: ID_REVISION=0220
E: ID_SERIAL=046a_0023
E: ID_TYPE=hid
E: ID_USB_DRIVER=usbhid
E: ID_USB_INTERFACES=:030101:030000:
E: ID_USB_INTERFACE_NUM=01
E: ID_VENDOR=046a
E: ID_VENDOR_ENC=046a
E: ID_VENDOR_ID=046a
E: KEY=4837fff 72ff32d bf544446 0 0 1 20f90 8b17c400 677bfa d971dfed 9ed680 4400 0 10000002
E: MODALIAS=input:b0003v046Ap0023e0111-e0,1,2,3,4,k71,72,73,74,77,80,82,83,85,86,87,88,89,8A,8B,8C,8E,8F,90,94,95,96,98,9B,9C,9E,9F,A1,A3,A4,A5,A6,A7,A8,A9,AB,AC,AD,AE,B0,B1,B2,B5,B6,CA,CE,CF,D0,D1,D2,D4,D8,D9,DB,DF,E4,E7,E8,E9,EA,EB,F1,100,161,162,166,16A,16E,172,174,176,178,179,17A,17B,17C,17D,17F,180,182,183,185,188,189,18C,18D,18E,18F,190,191,192,193,195,198,199,19A,1A0,1A1,1A2,1A3,1A4,1A5,1A6,1A7,1A8,1A9,1AA,1AB,1AC,1AD,1AE,1B0,1B1,1B7,1BA,r6,a20,m4,lsfw
E: MSC=10
E: NAME="HID 046a:0023"
E: PHYS="usb-0000:00:0f.4-1/input1"
E: PRODUCT=3/46a/23/111
E: PROP=0
E: REL=40
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: UNIQ=""
E: USEC_INITIALIZED=8062368

P: /devices/pci0000:00/0000:00:0f.4/usb2/2-1/2-1:1.1/input/input6/event6
N: input/event6
S: input/by-id/usb-046a_0023-event-if01
S: input/by-path/pci-0000:00:0f.4-usb-0:1:1.1-event
E: BACKSPACE=guess
E: DEVLINKS=/dev/input/by-id/usb-046a_0023-event-if01 /dev/input/by-path/pci-0000:00:0f.4-usb-0:1:1.1-event
E: DEVNAME=/dev/input/event6
E: DEVPATH=/devices/pci0000:00/0000:00:0f.4/usb2/2-1/2-1:1.1/input/input6/event6
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_MODEL=0023
E: ID_MODEL_ENC=0023
E: ID_MODEL_ID=0023
E: ID_PATH=pci-0000:00:0f.4-usb-0:1:1.1
E: ID_PATH_TAG=pci-0000_00_0f_4-usb-0_1_1_1
E: ID_REVISION=0220
E: ID_SERIAL=046a_0023
E: ID_TYPE=hid
E: ID_USB_DRIVER=usbhid
E: ID_USB_INTERFACES=:030101:030000:
E: ID_USB_INTERFACE_NUM=01
E: ID_VENDOR=046a
E: ID_VENDOR_ENC=046a
E: ID_VENDOR_ID=046a
E: MAJOR=13
E: MINOR=70
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=8121961
E: XKBLAYOUT=us
E: XKBMODEL=pc105

P: /devices/pci0000:00/0000:00:0f.4/usb2/2-2/2-2:1.0/input/input4
E: DEVPATH=/devices/pci0000:00/0000:00:0f.4/usb2/2-2/2-2:1.0/input/input4
E: EV=17
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_MODEL=USB-PS_2_Optical_Mouse
E: ID_MODEL_ENC=USB-PS\x2f2\x20Optical\x20Mouse
E: ID_MODEL_ID=c03d
E: ID_PATH=pci-0000:00:0f.4-usb-0:2:1.0
E: ID_PATH_TAG=pci-0000_00_0f_4-usb-0_2_1_0
E: ID_REVISION=2000
E: ID_SERIAL=Logitech_USB-PS_2_Optical_Mouse
E: ID_TYPE=hid
E: ID_USB_DRIVER=usbhid
E: ID_USB_INTERFACES=:030102:
E: ID_USB_INTERFACE_NUM=00
E: ID_VENDOR=Logitech
E: ID_VENDOR_ENC=Logitech
E: ID_VENDOR_ID=046d
E: KEY=70000 0 0 0 0 0 0 0 0
E: MODALIAS=input:b0003v046DpC03De0110-e0,1,2,4,k110,111,112,r0,1,8,am4,lsfw
E: MSC=10
E: NAME="Logitech USB-PS/2 Optical Mouse"
E: PHYS="usb-0000:00:0f.4-2/input0"
E: PRODUCT=3/46d/c03d/110
E: PROP=0
E: REL=103
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: UNIQ=""
E: USEC_INITIALIZED=7920975

P: /devices/pci0000:00/0000:00:0f.4/usb2/2-2/2-2:1.0/input/input4/event4
N: input/event4
S: input/by-id/usb-Logitech_USB-PS_2_Optical_Mouse-event-mouse
S: input/by-path/pci-0000:00:0f.4-usb-0:2:1.0-event-mouse
E: DEVLINKS=/dev/input/by-id/usb-Logitech_USB-PS_2_Optical_Mouse-event-mouse /dev/input/by-path/pci-0000:00:0f.4-usb-0:2:1.0-event-mouse
E: DEVNAME=/dev/input/event4
E: DEVPATH=/devices/pci0000:00/0000:00:0f.4/usb2/2-2/2-2:1.0/input/input4/event4
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_MODEL=USB-PS_2_Optical_Mouse
E: ID_MODEL_ENC=USB-PS\x2f2\x20Optical\x20Mouse
E: ID_MODEL_ID=c03d
E: ID_PATH=pci-0000:00:0f.4-usb-0:2:1.0
E: ID_PATH_TAG=pci-0000_00_0f_4-usb-0_2_1_0
E: ID_REVISION=2000
E: ID_SERIAL=Logitech_USB-PS_2_Optical_Mouse
E: ID_TYPE=hid
E: ID_USB_DRIVER=usbhid
E: ID_USB_INTERFACES=:030102:
E: ID_USB_INTERFACE_NUM=00
E: ID_VENDOR=Logitech
E: ID_VENDOR_ENC=Logitech
E: ID_VENDOR_ID=046d
E: MAJOR=13
E: MINOR=68
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=8036635

P: /devices/pci0000:00/0000:00:0f.4/usb2/2-2/2-2:1.0/input/input4/mouse0
N: input/mouse0
S: input/by-id/usb-Logitech_USB-PS_2_Optical_Mouse-mouse
S: input/by-path/pci-0000:00:0f.4-usb-0:2:1.0-mouse
E: DEVLINKS=/dev/input/by-id/usb-Logitech_USB-PS_2_Optical_Mouse-mouse /dev/input/by-path/pci-0000:00:0f.4-usb-0:2:1.0-mouse
E: DEVNAME=/dev/input/mouse0
E: DEVPATH=/devices/pci0000:00/0000:00:0f.4/usb2/2-2/2-2:1.0/input/input4/mouse0
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_MODEL=USB-PS_2_Optical_Mouse
E: ID_MODEL_ENC=USB-PS\x2f2\x20Optical\x20Mouse
E: ID_MODEL_ID=c03d
E: ID_PATH=pci-0000:00:0f.4-usb-0:2:1.0
E: ID_PATH_TAG=pci-0000_00_0f_4-usb-0_2_1_0
E: ID_REVISION=2000
E: ID_SERIAL=Logitech_USB-PS_2_Optical_Mouse
E: ID_TYPE=hid
E: ID_USB_DRIVER=usbhid
E: ID_USB_INTERFACES=:030102:
E: ID_USB_INTERFACE_NUM=00
E: ID_VENDOR=Logitech
E: ID_VENDOR_ENC=Logitech
E: ID_VENDOR_ID=046d
E: MAJOR=13
E: MINOR=32
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=8011248

P: /devices/platform/pcspkr/input/input3
E: DEVPATH=/devices/platform/pcspkr/input/input3
E: EV=40001
E: ID_INPUT=1
E: ID_PATH=platform-pcspkr
E: ID_PATH_TAG=platform-pcspkr
E: ID_SERIAL=noserial
E: MODALIAS=input:b0010v001Fp0001e0100-e0,12,kramls1,2,fw
E: NAME="PC Speaker"
E: PHYS="isa0061/input0"
E: PRODUCT=10/1f/1/100
E: PROP=0
E: SND=6
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=7832607

P: /devices/platform/pcspkr/input/input3/event3
N: input/event3
S: input/by-path/platform-pcspkr-event-spkr
E: DEVLINKS=/dev/input/by-path/platform-pcspkr-event-spkr
E: DEVNAME=/dev/input/event3
E: DEVPATH=/devices/platform/pcspkr/input/input3/event3
E: ID_INPUT=1
E: ID_PATH=platform-pcspkr
E: ID_PATH_TAG=platform-pcspkr
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=67
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=7977110

P: /devices/pnp0/00:0b/tty/ttyS3
N: ttyS3
E: DEVNAME=/dev/ttyS3
E: DEVPATH=/devices/pnp0/00:0b/tty/ttyS3
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: MAJOR=4
E: MINOR=67
E: NAME=PenMount Serial Touch Screen
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=7277805


DRM Information from dmesg:
---------------------------
[    2.972445] Linux agpgart interface v0.103


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i586)

Kernel: Linux 3.2.0-3-486
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-video-geode depends on:
ii  libc6                                  2.13-35
ii  xserver-xorg-core [xorg-video-abi-12]  2:1.12.4-1

xserver-xorg-video-geode recommends no packages.

xserver-xorg-video-geode suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Martin-Éric Racine <martin-eric.racine@iki.fi>:
Bug#692569; Package xserver-xorg-video-geode. (Wed, 07 Nov 2012 16:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin-eric.racine@iki.fi:
Extra info received and forwarded to list. Copy sent to Martin-Éric Racine <martin-eric.racine@iki.fi>. (Wed, 07 Nov 2012 16:39:08 GMT) Full text and rfc822 format available.

Message #10 received at 692569@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <martin-eric.racine@iki.fi>
To: guenter <guenter@zamia.org>, 692569@bugs.debian.org, debian-release <debian-release@lists.debian.org>, control@bugs.debian.org
Subject: Re: Bug#692569: xserver-xorg-video-geode: some GTK widgets would randomly display unreadable "smeared" text labels
Date: Wed, 7 Nov 2012 18:36:10 +0200
reassign 692569 release.debian.org
retitle 692569 unblock: xserver-xorg-video-geode/2.11.13-7
thanks

2012/11/7 guenter <guenter@zamia.org>:
> Package: xserver-xorg-video-geode
> Version: 2.11.13-3
> Severity: important
>
> Dear Maintainer,
>
> when running
>
> xserver-xorg-video-geode 2.11.13-3
>
> some GTK widgets (e.g. xfce's main menu, but also Iceweasel's
> address bar) would randomly display unreadable "smeared" text labels.
>
> Looked like a transient problem as triggering a redraw would fix the issue temporarily.
>
> Anyway, upgrading to
>
> xserver-xorg-video-geode_2.11.13-7
>
> from unstable/sid fixed the problem permanently for me. Please consider using this revision in Debian 7 ?

Reassigning this bug to release.debian.org and requesting the Release
Team's permission.

Best Regards,
Martin-Éric



Bug reassigned from package 'xserver-xorg-video-geode' to 'release.debian.org'. Request was from Martin-Éric Racine <martin-eric.racine@iki.fi> to control@bugs.debian.org. (Wed, 07 Nov 2012 16:39:10 GMT) Full text and rfc822 format available.

No longer marked as found in versions xserver-xorg-video-geode/2.11.13-3. Request was from Martin-Éric Racine <martin-eric.racine@iki.fi> to control@bugs.debian.org. (Wed, 07 Nov 2012 16:39:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'unblock: xserver-xorg-video-geode/2.11.13-7' from 'xserver-xorg-video-geode: some GTK widgets would randomly display unreadable "smeared" text labels' Request was from Martin-Éric Racine <martin-eric.racine@iki.fi> to control@bugs.debian.org. (Wed, 07 Nov 2012 16:39:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#692569; Package release.debian.org. (Wed, 07 Nov 2012 19:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Nov 2012 19:33:05 GMT) Full text and rfc822 format available.

Message #21 received at 692569@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: <martin-eric.racine@iki.fi>
Cc: guenter <guenter@zamia.org>, <692569@bugs.debian.org>, debian-release <debian-release@lists.debian.org>, <control@bugs.debian.org>
Subject: Re: Bug#692569: xserver-xorg-video-geode: some GTK widgets would randomly display unreadable "smeared" text labels
Date: Wed, 07 Nov 2012 19:28:10 +0000
reassign 692569 xserver-xorg-video-geode
found 692569 2.11.13-3
clone 692569 -1
retitle 692569 xserver-xorg-video-geode: some GTK widgets would 
randomly display unreadable "smeared" text labels
reassign -1 release.debian.org
severity -1 normal
user release.debian.org@packages.debian.org
usertag -1 unblock
thanks

On 07.11.2012 16:36, Martin-Éric Racine wrote:
> 2012/11/7 guenter <guenter@zamia.org>:
>> Package: xserver-xorg-video-geode
>> Anyway, upgrading to
>>
>> xserver-xorg-video-geode_2.11.13-7
>>
>> from unstable/sid fixed the problem permanently for me. Please 
>> consider using this revision in Debian 7 ?
>
> Reassigning this bug to release.debian.org and requesting the Release
> Team's permission.

That's not how to file an unblock request. :-( #692569 relates to your 
package and needs to stay there. I've reassigned it back and cloned a 
copy for release.d.o, but that's still a bit of a stretch.

Please follow-up to the cloned bug including the information requested 
in the freeze policy / reportbug template - at the very minimum a full 
source debdiff between the current wheezy version and the version you're 
requesting an unblock for.

From a very quick look, I suspect that debdiff will actually fail to 
mail it to the mailing list, due to the presence of

 patches/0003-Whitespace-cleanup-using-.-modular-x-indent.sh.patch      
|37926 ++++++++++

That doesn't look hugely appropriate for an update to a package during 
freeze. Please strip it from the debdiff when sending it, but mention 
that you've done so.

Regards,

Adam



Bug reassigned from package 'release.debian.org' to 'xserver-xorg-video-geode'. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Wed, 07 Nov 2012 19:33:07 GMT) Full text and rfc822 format available.

Marked as found in versions xserver-xorg-video-geode/2.11.13-3. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Wed, 07 Nov 2012 19:33:07 GMT) Full text and rfc822 format available.

Bug 692569 cloned as bug 692600 Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Wed, 07 Nov 2012 19:33:07 GMT) Full text and rfc822 format available.

Bug reassigned from package 'xserver-xorg-video-geode' to 'release.debian.org'. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Wed, 07 Nov 2012 19:33:08 GMT) Full text and rfc822 format available.

No longer marked as found in versions xserver-xorg-video-geode/2.11.13-3. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Wed, 07 Nov 2012 19:33:09 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Wed, 07 Nov 2012 19:33:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#692600; Package release.debian.org. (Fri, 09 Nov 2012 10:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin-eric.racine@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 09 Nov 2012 10:48:03 GMT) Full text and rfc822 format available.

Message #38 received at 692600@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <martin-eric.racine@iki.fi>
To: 692600@bugs.debian.org
Subject: Re: Bug #692600: debdiff 2.11.13-3 to 2.11.13-7
Date: Fri, 9 Nov 2012 12:44:37 +0200
[Message part 1 (text/plain, inline)]
2012/11/9 Adam D. Barratt <adam@adam-barratt.org.uk>:
> On 09.11.2012 08:12, Martin-Éric Racine wrote:
>>
>> 2012/11/7 Adam D. Barratt <adam@adam-barratt.org.uk>:
>
>>> Please follow-up to the cloned bug including the information requested in
>>> the freeze policy / reportbug template - at the very minimum a full
>>> source debdiff between the current wheezy version and the version you're
>>> requesting an unblock for.

debdiff attached to bug 692600.

-- 
Martin-Éric
[debdiff_xf86-video-geode_2.11.13-3_to_2.11.13-7.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#692600; Package release.debian.org. (Fri, 09 Nov 2012 10:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin-eric.racine@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 09 Nov 2012 10:51:06 GMT) Full text and rfc822 format available.

Message #43 received at 692600@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <martin-eric.racine@iki.fi>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 692600@bugs.debian.org, debian-release <debian-release@lists.debian.org>
Subject: Re: Bug#692569: xserver-xorg-video-geode: some GTK widgets would randomly display unreadable "smeared" text labels
Date: Fri, 9 Nov 2012 12:48:16 +0200
2012/11/9 Adam D. Barratt <adam@adam-barratt.org.uk>:
>>> Please follow-up to the cloned bug including the information requested in
>>> the freeze policy / reportbug template - at the very minimum a full
>>> source debdiff between the current wheezy version and the version you're
>>> requesting an unblock for.

debdiff attached to bug 692600 as requested.

Best Regards,
Martin-Éric



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#692600; Package release.debian.org. (Fri, 09 Nov 2012 14:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin-Éric Racine <martin-eric.racine@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 09 Nov 2012 14:48:04 GMT) Full text and rfc822 format available.

Message #48 received at 692600@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <martin-eric.racine@iki.fi>
To: 692600@bugs.debian.org, debian-release <debian-release@lists.debian.org>
Subject: unblock: xserver-xorg-video-geode/2.11.13-7
Date: Fri, 09 Nov 2012 16:45:14 +0200
Package: release.debian.org
User: release.debian.org@packages.debian.org
Usertags: unblock
Severity: normal

Please unblock package xserver-xorg-video-geode:

The version in unstable fixes outstanding rendering bugs caused by
recent Cairo versions. Feedback had been requested from reporters of
existing bugs but remained unanswered and instead came now via brand new
bug #692569 as a confirmation that the issue is fixed in unstable.

The debdiff was e-mailed directly to the bug report, because it would
have been rejected by the Debian list server, due to a large diff
(0003-Whitespace-cleanup-using-.-modular-x-indent.sh.patch) that is a
prerequisite to applying recent changes necessary to fix the issue.
While this particular change is indeed intrusive, it was produced using
a standard X.org release macro so I would consider it as safe.

unblock xserver-xorg-video-geode/2.11.13-7

Best Regards,
Martin-Éric




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#692600; Package release.debian.org. (Fri, 09 Nov 2012 20:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 09 Nov 2012 20:15:05 GMT) Full text and rfc822 format available.

Message #53 received at 692600@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Martin-Éric Racine <martin-eric.racine@iki.fi>, 692600@bugs.debian.org
Subject: Re: Bug#692600: unblock: xserver-xorg-video-geode/2.11.13-7
Date: Fri, 09 Nov 2012 20:10:50 +0000
On Fri, 2012-11-09 at 16:45 +0200, Martin-Éric Racine wrote:
> The debdiff was e-mailed directly to the bug report, because it would
> have been rejected by the Debian list server, due to a large diff
> (0003-Whitespace-cleanup-using-.-modular-x-indent.sh.patch) that is a
> prerequisite to applying recent changes necessary to fix the issue.

Which is precisely why I requested that you filter it out before sending
it, so that it *would* reach the list. Never mind...

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#692600; Package release.debian.org. (Fri, 09 Nov 2012 20:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin-eric.racine@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 09 Nov 2012 20:57:06 GMT) Full text and rfc822 format available.

Message #58 received at 692600@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <martin-eric.racine@iki.fi>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 692600@bugs.debian.org, debian-release <debian-release@lists.debian.org>
Subject: Re: Bug#692600: unblock: xserver-xorg-video-geode/2.11.13-7
Date: Fri, 9 Nov 2012 22:53:20 +0200
[Message part 1 (text/plain, inline)]
2012/11/9 Adam D. Barratt <adam@adam-barratt.org.uk>:
> On Fri, 2012-11-09 at 16:45 +0200, Martin-Éric Racine wrote:
>> The debdiff was e-mailed directly to the bug report, because it would
>> have been rejected by the Debian list server, due to a large diff
>> (0003-Whitespace-cleanup-using-.-modular-x-indent.sh.patch) that is a
>> prerequisite to applying recent changes necessary to fix the issue.
>
> Which is precisely why I requested that you filter it out before sending
> it, so that it *would* reach the list. Never mind...

Sorry, I had misunderstood your intention with this request. Here is a
stripped version.

Martin-Éric
[debdiff_xf86-video-geode_2.11.13-3_to_2.11.13-7_without_patch_0003.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#692600; Package release.debian.org. (Fri, 09 Nov 2012 21:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin-eric.racine@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 09 Nov 2012 21:45:06 GMT) Full text and rfc822 format available.

Message #63 received at 692600@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <martin-eric.racine@iki.fi>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 692600@bugs.debian.org, debian-release <debian-release@lists.debian.org>
Subject: Re: Bug#692600: unblock: xserver-xorg-video-geode/2.11.13-7
Date: Fri, 9 Nov 2012 23:42:32 +0200
2012/11/9 Martin-Éric Racine <martin-eric.racine@iki.fi>:
> 2012/11/9 Adam D. Barratt <adam@adam-barratt.org.uk>:
>> On Fri, 2012-11-09 at 16:45 +0200, Martin-Éric Racine wrote:
>>> The debdiff was e-mailed directly to the bug report, because it would
>>> have been rejected by the Debian list server, due to a large diff
>>> (0003-Whitespace-cleanup-using-.-modular-x-indent.sh.patch) that is a
>>> prerequisite to applying recent changes necessary to fix the issue.
>>
>> Which is precisely why I requested that you filter it out before sending
>> it, so that it *would* reach the list. Never mind...
>
> Sorry, I had misunderstood your intention with this request. Here is a
> stripped version.

... which, even then, got rejected by the list with a warning that it
exceeded the maximum size allowed. It however correctly reached the
bug report itself.

Martin-Éric



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#692600; Package release.debian.org. (Sat, 24 Nov 2012 09:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin-eric.racine@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 24 Nov 2012 09:57:06 GMT) Full text and rfc822 format available.

Message #68 received at 692600@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <martin-eric.racine@iki.fi>
To: 692600@bugs.debian.org
Subject: xf86-video-geode: debdiff -3 to -8 (without patch 0003)
Date: Sat, 24 Nov 2012 11:55:10 +0200
[Message part 1 (text/plain, inline)]
It seems that upstream is ready to wrap up Geode 2.11.14 and thus I'm
including one last fix into the debdiff.

Alternately, if the Release Team is willing to accept 2.11.14 into
Wheezy, please let me know.

Martin-Éric
[debdiff_xf86-video-geode_2.11.13-3_to_-8_without_patch_0003.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#692600; Package release.debian.org. (Sat, 24 Nov 2012 15:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin-eric.racine@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 24 Nov 2012 15:24:03 GMT) Full text and rfc822 format available.

Message #73 received at 692600@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <martin-eric.racine@iki.fi>
To: 692600@bugs.debian.org
Subject: Re: xf86-video-geode: debdiff -3 to -8 (without patch 0003)
Date: Sat, 24 Nov 2012 17:21:02 +0200
Here is the main long-standing issue that 2.11.13-8 (a.k.a. 2.11.14
minus the documentation changes) would fix:

https://bugs.freedesktop.org/show_bug.cgi?id=51360

Unless I'm mistaken, this corresponds to Debian bugs #692569 and #570637.

-- 
Martin-Éric



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#692600; Package release.debian.org. (Sun, 25 Nov 2012 11:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin-eric.racine@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 25 Nov 2012 11:27:03 GMT) Full text and rfc822 format available.

Message #78 received at 692600@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <martin-eric.racine@iki.fi>
To: 692600@bugs.debian.org
Cc: Debian X Strike Force <debian-x@lists.debian.org>
Subject: Geode 2.11.14 released
Date: Sun, 25 Nov 2012 13:24:50 +0200
Upstream went ahead and released as Geode 2.11.14 what had been pushed
over the past few months into Debian/unstable as a patched 2.11.13
source.

I've already prepared a 2.11.14-1 package for Debian/unstable.
Sponsors are welcome to perform the upload.

Regards,
Martin-Éric



Changed Bug title to 'unblock: xserver-xorg-video-geode/2.11.14-1' from 'unblock: xserver-xorg-video-geode/2.11.13-7' Request was from Martin-Éric Racine <martin-eric.racine@iki.fi> to control@bugs.debian.org. (Sun, 25 Nov 2012 15:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#692600; Package release.debian.org. (Wed, 28 Nov 2012 22:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin-eric.racine@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 28 Nov 2012 22:45:05 GMT) Full text and rfc822 format available.

Message #85 received at 692600@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <martin-eric.racine@iki.fi>
To: 692600@bugs.debian.org
Subject: fixes 591364 and 692569
Date: Thu, 29 Nov 2012 00:44:19 +0200
As confirmed by the users who reported the respective bugs against
xserver-xorg-video-geode:

#591364 was fixed in 2.11.14-1
#692569 was fixed in 2.11.13-7

I'm still waiting for confirmation whether #570637 was also fixed by
uploads since 2.11.13-3 or not.

Martin-Éric



Changed Bug submitter to 'Martin-Éric Racine <martin-eric.racine@iki.fi>' from 'guenter <guenter@zamia.org>' Request was from Martin-Éric Racine <martin-eric.racine@iki.fi> to control@bugs.debian.org. (Thu, 29 Nov 2012 10:30:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#692600; Package release.debian.org. (Mon, 03 Dec 2012 21:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 03 Dec 2012 21:00:03 GMT) Full text and rfc822 format available.

Message #92 received at 692600@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: martin-eric.racine@iki.fi, 692600@bugs.debian.org
Subject: Re: Bug#692600: Geode 2.11.14 released
Date: Mon, 3 Dec 2012 21:58:16 +0100
[Message part 1 (text/plain, inline)]
On Sun, Nov 25, 2012 at 13:24:50 +0200, Martin-Éric Racine wrote:

> Upstream went ahead and released as Geode 2.11.14 what had been pushed
> over the past few months into Debian/unstable as a patched 2.11.13
> source.
> 
> I've already prepared a 2.11.14-1 package for Debian/unstable.
> Sponsors are welcome to perform the upload.
> 
So, err...
 112 files changed, 18739 insertions(+), 11535 deletions(-)

I'm afraid that's nowhere near suitable for a freeze exception.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#692600; Package release.debian.org. (Mon, 03 Dec 2012 22:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin-eric.racine@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 03 Dec 2012 22:39:06 GMT) Full text and rfc822 format available.

Message #97 received at 692600@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <martin-eric.racine@iki.fi>
To: Julien Cristau <jcristau@debian.org>
Cc: 692600@bugs.debian.org
Subject: Re: Bug#692600: Geode 2.11.14 released
Date: Tue, 4 Dec 2012 00:34:54 +0200
2012/12/3 Julien Cristau <jcristau@debian.org>:
> On Sun, Nov 25, 2012 at 13:24:50 +0200, Martin-Éric Racine wrote:
>
>> Upstream went ahead and released as Geode 2.11.14 what had been pushed
>> over the past few months into Debian/unstable as a patched 2.11.13
>> source.
>>
>> I've already prepared a 2.11.14-1 package for Debian/unstable.
>> Sponsors are welcome to perform the upload.
>>
> So, err...
>  112 files changed, 18739 insertions(+), 11535 deletions(-)
>
> I'm afraid that's nowhere near suitable for a freeze exception.

You'll notice that most of this is essentially whitespace cleanup
performed using the standard X-indent macro. In practice, there's very
few changes to the code's functionality itself.

Martin-Éric



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#692600; Package release.debian.org. (Tue, 04 Dec 2012 00:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 04 Dec 2012 00:33:04 GMT) Full text and rfc822 format available.

Message #102 received at 692600@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Martin-Éric Racine <martin-eric.racine@iki.fi>
Cc: 692600@bugs.debian.org
Subject: Re: Bug#692600: Geode 2.11.14 released
Date: Tue, 4 Dec 2012 01:29:11 +0100
[Message part 1 (text/plain, inline)]
On Tue, Dec  4, 2012 at 00:34:54 +0200, Martin-Éric Racine wrote:

> 2012/12/3 Julien Cristau <jcristau@debian.org>:
> > On Sun, Nov 25, 2012 at 13:24:50 +0200, Martin-Éric Racine wrote:
> >
> >> Upstream went ahead and released as Geode 2.11.14 what had been pushed
> >> over the past few months into Debian/unstable as a patched 2.11.13
> >> source.
> >>
> >> I've already prepared a 2.11.14-1 package for Debian/unstable.
> >> Sponsors are welcome to perform the upload.
> >>
> > So, err...
> >  112 files changed, 18739 insertions(+), 11535 deletions(-)
> >
> > I'm afraid that's nowhere near suitable for a freeze exception.
> 
> You'll notice that most of this is essentially whitespace cleanup
> performed using the standard X-indent macro. In practice, there's very
> few changes to the code's functionality itself.
> 
No, I won't notice that, because I'm not even looking at such a diff.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#692600; Package release.debian.org. (Tue, 04 Dec 2012 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin-eric.racine@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 04 Dec 2012 08:21:03 GMT) Full text and rfc822 format available.

Message #107 received at 692600@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <martin-eric.racine@iki.fi>
To: Julien Cristau <jcristau@debian.org>
Cc: 692600@bugs.debian.org
Subject: Re: Bug#692600: Geode 2.11.14 released
Date: Tue, 4 Dec 2012 10:17:14 +0200
2012/12/4 Julien Cristau <jcristau@debian.org>:
> On Tue, Dec  4, 2012 at 00:34:54 +0200, Martin-Éric Racine wrote:
>
>> 2012/12/3 Julien Cristau <jcristau@debian.org>:
>> > On Sun, Nov 25, 2012 at 13:24:50 +0200, Martin-Éric Racine wrote:
>> >
>> >> Upstream went ahead and released as Geode 2.11.14 what had been pushed
>> >> over the past few months into Debian/unstable as a patched 2.11.13
>> >> source.
>> >>
>> >> I've already prepared a 2.11.14-1 package for Debian/unstable.
>> >> Sponsors are welcome to perform the upload.
>> >>
>> > So, err...
>> >  112 files changed, 18739 insertions(+), 11535 deletions(-)
>> >
>> > I'm afraid that's nowhere near suitable for a freeze exception.
>>
>> You'll notice that most of this is essentially whitespace cleanup
>> performed using the standard X-indent macro. In practice, there's very
>> few changes to the code's functionality itself.
>>
> No, I won't notice that, because I'm not even looking at such a diff.

http://cgit.freedesktop.org/xorg/driver/xf86-video-geode/log/

This should make it fairly obvious at exactly which commit the biggest
amount of noise took place. :)

Martin-Éric



Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sun, 06 Jan 2013 22:21:04 GMT) Full text and rfc822 format available.

Notification sent to Martin-Éric Racine <martin-eric.racine@iki.fi>:
Bug acknowledged by developer. (Sun, 06 Jan 2013 22:21:04 GMT) Full text and rfc822 format available.

Message #112 received at 692600-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: martin-eric.racine@iki.fi, 692600-done@bugs.debian.org
Subject: Re: Bug#692600: Geode 2.11.14 released
Date: Sun, 6 Jan 2013 23:16:53 +0100
[Message part 1 (text/plain, inline)]
On Tue, Dec  4, 2012 at 10:17:14 +0200, Martin-Éric Racine wrote:

> 2012/12/4 Julien Cristau <jcristau@debian.org>:
> > On Tue, Dec  4, 2012 at 00:34:54 +0200, Martin-Éric Racine wrote:
> >
> >> 2012/12/3 Julien Cristau <jcristau@debian.org>:
> >> > On Sun, Nov 25, 2012 at 13:24:50 +0200, Martin-Éric Racine wrote:
> >> >
> >> >> Upstream went ahead and released as Geode 2.11.14 what had been pushed
> >> >> over the past few months into Debian/unstable as a patched 2.11.13
> >> >> source.
> >> >>
> >> >> I've already prepared a 2.11.14-1 package for Debian/unstable.
> >> >> Sponsors are welcome to perform the upload.
> >> >>
> >> > So, err...
> >> >  112 files changed, 18739 insertions(+), 11535 deletions(-)
> >> >
> >> > I'm afraid that's nowhere near suitable for a freeze exception.
> >>
> >> You'll notice that most of this is essentially whitespace cleanup
> >> performed using the standard X-indent macro. In practice, there's very
> >> few changes to the code's functionality itself.
> >>
> > No, I won't notice that, because I'm not even looking at such a diff.
> 
> http://cgit.freedesktop.org/xorg/driver/xf86-video-geode/log/
> 
> This should make it fairly obvious at exactly which commit the biggest
> amount of noise took place. :)
> 
Again, I'm not interested.  If you have bug fixes that need to get into
wheezy then get *those bug fixes* in a proposed upload, not ten thousand
unrelated lines of changes.  In the meantime I'm closing this unblock
request.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 04 Feb 2013 07:25:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:59:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.